.TH TCLOCK 1 "Release 4" "X Version 11"
.SH NAME
tclock \- display time of day
.SH SYNOPSIS
.B tclock
[-option ...]
.SH DESCRIPTION
.I Tclock
displays an analog clock with a transparent face.
.SH OPTIONS
.TP 8
.B \-background \fIbackground-color\fB
specify the color of the interior of the clock
.TP 8
.B \-bg \fIbackground-color\fB
same as \-background
.TP 8
.B \-border \fIborder-color\fB
specify the color of the clock border
.TP 8
.B \-borderWidth \fIborder-width\fB
specify the thickness of the border \- this is used as the line-width
attribute of a graphics context, so a border width of zero still results
in a thin border.  If you want \fIno\fP border at all, make the border
color the same as the background color.
.TP 8
.B \-display \fIdisplay-name\fB
specify the name of the display to use
.TP 8
.B \-geometry \fIclock-geometry\fB
specify the geometry of the clock.  Note that the size specification of
this string will be ignored; see the \fI\-scale\fP option for changing
the size of the clock.
.TP 8
.B \-scale \fIclock-size\fB
specify the size of the clock as a scale of the normal size.  For example,
\-scale 0.5 results in a clock half the size of the default (in width
and height - one-fourth the size in area), and \-scale 2.5 results in a
clock two and one-half times larger.
.TP 8
.B \-tickradius \fItick-distance\fB
specify the distance of each tick from the center of the clock.  Specifying
zero results in no tick marks.  Note that this is adjusted by the \-scale
option.
.TP 8
.B \-ticksize \fItick-size\fB
specify the radius of each tick mark.  Note that this is adjusted by the
\-scale option; however, ticks do not seem to scale well, so if you regularly
start up the clock at a specific scaling amount, you may wish to fine-tune
this parameter for best results.
.TP 8
.B \-width \fIborder-width\fB
same as \-borderWidth
.TP 8
.B \-xrm \fImiscellaneous-resource\fB
specify a resource for which no command-line option exists.  This is most
often used to disable the second hand by specifying \fI\-xrm
"Tclock.Second.Tip.Radius: 0".
.SH RESOURCES
.LP
The resources equivalent to command-line options are
.IP
Tclock.geometry
.br
Tclock.scale
.br
Tclock.border
.br
Tclock.background
.br
Tclock.borderWidth
.br
Tclock.tick.radius
.br
Tclock.tick.size
.LP
In addition, each hand of the clock is made up of four points.  You may
specify the position of each of these four points for each hand.  The hand
specifications are {hour, minute, second}, and the point specifications are
{tip, right, middle, left}.  Each point has two resources:
.IP
Tclock.\fIhand\fP.\fIpoint\fP.radius
.br
Tclock.\fIhand\fP.\fIpoint\fP.offset
.LP
The radius specifies the distance in pixels of that points from the center
of the clock.  The offset specifies the angle of that point as an offset in
minutes (sixtieths of a circle) from the "true" position of the hand.
Specifying a radius of zero for the tip of a hand disables that hand.
.LP
Note that after you have fine-tuned the shapes of the hands, you can simply
use the \-scale option (or the .scale resource) to get any size clock with
hands of that shape, without needing to adjust the radii of all those points.
.SH "SEE ALSO"
oclock(1), xclock(1)
.SH COPYRIGHT
Copyright (C) 1991 Rob Mayoff.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.SH AUTHOR
Rob Mayoff (mayoff@ccwf.cc.utexas.edu)

